
Foreman - Tracker #29777

Drop passenger support

05/13/2020 12:30 PM - Eric Helms

Status: Closed % Done: 0%

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

With the introduction of a dedicated service for running the web application backed by Puma, the support for Passenger can be

dropped within our code, selinux, installer and packaging.

A list of issues than be closed when it is dropped:

https://projects.theforeman.org/projects/foreman/issues?utf8=%E2%9C%93&set_filter=1&sort=id%3Adesc&f%5B%5D=status_id&op

%5Bstatus_id%5D=o&f%5B%5D=subject&op%5Bsubject%5D=%7E&v%5Bsubject%5D%5B%5D=passenger&f%5B%5D=&c%5B%

5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=author&c%5B%5D=assigned_to&c%5B%5D=u

pdated_on&c%5B%5D=category&c%5B%5D=fixed_version&group_by=

Related issues:

Related to SELinux - Bug #32316: Drop all passenger-related SELinux rules Closed

Related to Katello - Refactor #32318: Drop Passenger specific code Closed

Blocked by SELinux - Refactor #29778: Implement puma policy Closed

Blocked by Packaging - Feature #29779: Remove passenger packages Closed

Blocked by Installer - Feature #29780: Drop passenger from puppet-foreman Closed

Blocked by Installer - Feature #29781: Ensure removal of passenger options fr... Closed

Blocked by Foreman - Feature #29782: Remove passenger specific work arounds i... Closed

History

#1 - 05/13/2020 12:31 PM - Eric Helms

- Blocked by Refactor #29778: Implement puma policy added

#2 - 05/13/2020 12:32 PM - Eric Helms

- Blocked by Feature #29779: Remove passenger packages added

#3 - 05/13/2020 12:33 PM - Eric Helms

- Blocked by Feature #29780: Drop passenger from puppet-foreman added

#4 - 05/13/2020 12:34 PM - Eric Helms

- Blocked by Feature #29781: Ensure removal of passenger options from installer answers file and hiera added

#5 - 05/13/2020 12:35 PM - Eric Helms

- Blocked by Feature #29782: Remove passenger specific work arounds in code  added

#6 - 04/14/2021 10:38 AM - Lukas Zapletal

- Related to Bug #32316: Drop all passenger-related SELinux rules added

#7 - 04/14/2021 02:34 PM - Eric Helms

- Related to Refactor #32318: Drop Passenger specific code added

#8 - 04/19/2021 03:47 PM - Eric Helms
- Status changed from New to Closed

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

